RMMOD(8)

NOM
rmmod - Décharger un module

SYNOPSIS
rmmod [ -aehrsvV] module ...

DESCRIPTION
rmmod décharge de la mémoire les modules chargés dans le noyau en cours d'exécution.

rmmod essaye d'enlever un ensemble de modules du noyau, à condition qu'ils ne soient ni en cours d'utilisation, ni nécessaires à d'autres modules.

S'il y a plus d'un module sur la ligne de commande, ils sont retirés dans l'ordre indiqué. Ceci permet le déchargement de modules empilés.

Avec l'option « -r », une suppression récursive est tentée. Ceci signifie que si un module au sommet de la pile est indiqué sur la ligne de commande, tous les modules qu'il utilise seront supprimés si possible, et ainsi de suite.

  OPTIONS

-a, --all
    Réaliser l'auto-nettoyage : marquer les modules non utilisés comme « à nettoyer » et supprimer ceux déjà marqués. Ces derniers n'ont pas été utilisés depuis le dernier auto-nettoyage. La suppression en deux passes évite de décharger des modules temporairement inutilisés.

-e, --persist
    Sauver les données persistantes pour les modules indiqués, sans en décharger aucun. Si aucun module n'est indiqué, la sauvegarde a lieu pour tous les modules qui ont des données persistantes. Les données sont sauvegardées seulement si le noyau et modutils supportent les données persistantes et si /proc/ksyms contient une entrée
    __insmod_modulename_Ppersistent_filename.

-h, --help
    Affiche une page d'aide et se termine.

-r, --stacks
    Supprime une pile de module.

-s  Affiche tout via syslog(3) plutôt que sur le terminal.

-v, --verbose
    Mode volubile.

-V, --version
    Affiche le numéro de version de modutils.

DONNÉES PERSISTANTES
Si un module contient des données persistantes (voir insmod(8) et modules.conf(5)), la suppression de ce module écrit toujours ces données dans le fichier dans l'entrée __insmod _P symbol. On peut aussi sauvegarder les données persistantes à tout moment par rmmod -e, sans décharger aucun module.

Quand les données persistantes sont écrites dans le fichier, elles sont précédées par une ligne de commentaire
#% version_noyau horodatage
Les lignes de commentaires générées automatiquement commencent par « #% », elles sont toutes supprimées du fichier existant, mais les autres commentaires sont préservés. Les valeurs des données sont écrites, en conservant l'ordre des commentaires et affectations. Les nouvelles valeurs sont ajoutées à la fin du fichier. Si le fichier contient des valeurs absentes du module, elles sont préservées mais précédées d'un commentaire d'avertissement. Ceci permet à un utilisateur de changer de version de noyau sans perdre de données persistantes et sans message d'erreur.

Note : Pour les commentaires, le premier caractère non-blanc de la ligne doit être « # ». Toute ligne non-blanche ne commençant pas par « # » est une option de module. Les espaces en début de ligne sont ignorés, mais tout le reste est transmis tel quel en option à insmod.

BOGUES
rmmod [-V | --version] devrait afficher la version et se terminer immédiatement. Au lieu de cela, il affiche la version et se comporte comme si aucun option n'était fournie.

VERSIONS

  Historique
Le support des modules a été conçu initialement par un illustre inconnu.
La version initiale pour Linux par Bas Laarhoven <bas@vimec.nl>
Version 0.99.14 par Jon Tombs <jon@gtex02.us.es>
Étendu par Bjorn Ekwall <bj0rn@blox.se>
Mis à jour pour Linux 2.1.17 par Richard Henderson <rth@tamu.edu>
Mis à jour Linux 2.2.2 par Bjorn Ekwall <bj0rn@blox.se>
Mis à jour modutils 2.3.20 par Keith Owens <kaos@ocs.com.au>
Données persistantes modutils 2.3.22 par Keith Owens <kaos@ocs.com.au>

VOIR AUSSI
insmod(8), lsmod(8), ksyms(8), modprobe(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 rmmod ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.